DHCP listen on all interfaces by default

10/14/2016 09:33 AM - Stephen Benjamin

Status: Resolved   

Priority: High   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1362629 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1362629

Description of problem:

The satellite-installer has an argument --foreman-proxy-dhcp-interface which defaults to eth0. This is a rather bold assumption to

make, leading to hard-to-troubleshoot issues.

In my opinion, a better default would be to not limit dhcpd to a specific interface but rather omit that argument altogether.

Version-Release number of selected component (if applicable):

satellite-installer-6.2.0.11-1.el7sat

How reproducible:

Every time

Steps to Reproduce:

1. Set up a satellite, not using too many esoteric options

2. Scratch your head, wondering why provisioning on eth1 fail

Related issues:

Related to Installer - Bug #16915: Better defaults for DHCP/DNS interfaces/ne... Resolved

History

#1 - 10/14/2016 09:34 AM - Stephen Benjamin

- Project changed from Foreman to Installer

- Subject changed from DHCP listen on all interfaces by default

 to DHCP listen on all interfaces by default

- Category set to Foreman modules

#2 - 10/14/2016 09:34 AM - Stephen Benjamin

- Related to Bug #16915: Better defaults for DHCP/DNS interfaces/network ranges during install added

#3 - 10/14/2016 09:35 AM - Stephen Benjamin

Similar to #16915, but listening on all might be an option instead of picking a hardcoded or guessed default -  although you'd have to have a subnet

declaration for each, so this is probably a bad idea.

#4 - 12/02/2020 05:54 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Resolved

In commit:197e4f7c48ae289aff502c719f9e2160d89c6dec the default changed to the networking.primary fact. This should reduce the impact a lot.
